Index: WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTFDEL.m
===================================================================
--- WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTFDEL.m	(revision 613)
+++ WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTFDEL.m	(revision 623)
@@ -1,72 +1,73 @@
-DGPTFDEL	;ALB/JDS - PTF ENTRY DELETION ; 7/31/07 11:19am
-	;;5.3;Registration;**517,760**;Aug 13, 1993;Build 11
-	;
-A	D LO^DGUTL I $D(^DISV(DUZ,"^DPT(")),$D(^("^DGPT(")) S A=+^("^DGPT("),B=+^("^DPT(") I $D(^DGPT(A,0)),$D(^DPT(B,0)) S:(+^DGPT(A,0)'=B&$D(^DGPT("B",B))) ^DISV(DUZ,"^DGPT(")=""
-	Q
-	;
-ASK	D A W !!
-	S Y=1 D RTY^DGPTUTL
-	S DIC("S")="I $P(^(0),U,11)=1,'$D(^DGP(45.84,+Y))",DIC="^DGPT(",DIC(0)="NEAQ",DIC("A")="Enter PTF record to delete: "
-	D ^DIC G Q:Y'>0 S DA=+Y,DIC(0)="NE",X=DA D CEN G ASK:'$D(DA)
-A1	W !! D ^DIC S %=2 W !,"Ok to delete" D YN^DICN
-	I %=1 S DGPTIFN=DA D KDGPT W !,"****** DELETED ******" D HANG^DGPTUTL G Q
-AD	I '% W !,"Anwer Yes or No",!,"On deletion pointers will be updated" G A1
-	;
-	;
-Q	K DA,DFN,A,B,L,I,ANS,DIE,DR,DIK,DIC,DGRTY,DGRTY0,DGPTIFN Q
-	;
-HEL	;
-	I '$D(DGRTY) S Y=1 D RTY^DGPTUTL
-	D A W !!
-	S DIC(0)="NEAQ",DIC="^DGP(45.84,",DIC("S")="I '$D(^DGP(45.83,""C"",+Y)),$D(^DGPT(+Y,0)),$P(^(0),U,11)="_DGRTY,DIC("A")="Enter "_$P(DGRTY0,U)_" record to re-open: "
-	D ^DIC G Q:Y'>0 S (X,DGPTIFN)=+Y,%=2
-A2	I '% W !!,DGPTIFN,"  ",$P(^DPT(+^DGPT(DGPTIFN,0),0),U) S DGSENFLG="",X=DGPTIFN,DIC(0)="NE",DIC="^DGP(45.84," D ^DIC K DIC,DGSENFLG
-	I DGRTY=2 D CHK G Q:'DGPTIFN
-	S %=2 W !,"Ok to reactivate" D YN^DICN
-	I '% W !,"Answer Yes or No" G A2
-	G Q:%'=1
-	D OPEN G Q
-	;
-OLD	I '$D(^DISV(DUZ,"PTFAD",DFN)) W "  ???",*7,*7 G AD
-	S X=^(DFN)
-	Q
-DREL	; -- open released rec
-	I '$D(DGRTY) S Y=1 D RTY^DGPTUTL
-	W ! S DIC("A")="Enter Released "_$P(DGRTY0,U)_" Record to Re-open: ",DIC("S")="I $D(^DGP(45.83,""C"",+Y)),$D(^DGPT(+Y,0)),$D(^(70)),+^(70)>2901000,$P(^(0),U,11)="_DGRTY,DIC="^DGP(45.84,",DIC(0)="MEQA"
-	D ^DIC K DIC G Q:+Y'>0 S DGPTIFN=+Y
-	I DGRTY=2 D CHK G Q:'DGPTIFN
-OK	W !,"Ok to Re-open" S %=2 D YN^DICN
-	I '% W !!?14,"Enter <RET> to exit routine",!?10,"Enter 'Y' for YES to RE-OPEN Record",! G OK
-	G Q:%'=1
-	S DA(1)=$O(^DGP(45.83,"C",DGPTIFN,0)) I DA(1) S DIK="^DGP(45.83,"_DA(1)_",""P"",",DA=DGPTIFN D ^DIK K DIK,DA
-	D OPEN G Q
-	;
-OPEN	;
-	D KDGP,KDGPT:DGRTY=2
-	W !,"****** RECORD RE-OPENED ******" D HANG^DGPTUTL
-	Q
-	;
-KDGP	; -- kill close-out rec ; input DGPTIFN := ifn
-	S DA=DGPTIFN,DIK="^DGP(45.84," D ^DIK K DIK,DA
-	Q
-	;
-KDGPT	; -- kill DGPT rec ; input DGPTIFN := ifn
-	S DA=DGPTIFN,DIK="^DGPT(",FLAG=1,I=0 F  S I=$O(^DGCPT(46,"C",DA,I)) Q:'I  I '$G(^DGCPT(46,I,9)) S FLAG=0 Q
-	I 'FLAG W !,"CANNOT DELETE THE PTF RECORD WHEN THERE ARE ACTIVE ORDERS OR CPT RECORDS." H 2 K FLAG Q
-	D ^DIK K DA,DIK,I,FLAG
-	I DGRTY=1 S DA=+$O(^DGPM("APTF",DGPTIFN,0)) I $D(^DGPM(DA,0)),$P(^(0),U,16)=DGPTIFN S DR=".16///@",DIE="^DGPM(" D ^DIE K DR,DIE
-	K DA Q
-	;
-CHK	; -- check to see if PTF is open ; return DGPTIFN="" is not open
-	I $D(^DGPT(+$P(^DGPT(DGPTIFN,0),U,12),0)),$P(^(0),U,6) W !!,*7,?5,"Associated PTF record #",+$P(^DGPT(DGPTIFN,0),U,12)," must be RE-OPENED",!?5,"in order to re-open Census record #",DGPTIFN,"." S DGPTIFN=""
-	Q
-	;
-CEN	; -- check if closed for census
-	K DGI
-	F DGI=0:0 S DGI=$O(^DGPT("ACENSUS",DA,DGI)) Q:'DGI  I $D(^DGPT(DGI,0)),$P(^(0),U,12)=DA,$D(^DG(45.86,+$P(^(0),U,13),0)) S Y=+^(0) X ^DD("DD") S DGI(DGI)=Y
-	G CENQ:$D(DGI)<10
-	W !!?2,*7,"This PTF record is associated with the following Census records:"
-	F DGI=0:0 S DGI=$O(DGI(DGI)) Q:'DGI  W !?10,"Census Record #",DGI,?35,"==>",?40,"Census Date: ",DGI(DGI)
-	W !!?2,"PTF record can not be deleted."
-	K DA
-CENQ	K DGI Q
+DGPTFDEL ;ALB/JDS - PTF ENTRY DELETION ; 1/15/04 8:23am
+ ;;5.3;Registration;**517**;Aug 13, 1993
+ ;
+A D LO^DGUTL I $D(^DISV(DUZ,"^DPT(")),$D(^("^DGPT(")) S A=+^("^DGPT("),B=+^("^DPT(") I $D(^DGPT(A,0)),$D(^DPT(B,0)) S:(+^DGPT(A,0)'=B&$D(^DGPT("B",B))) ^DISV(DUZ,"^DGPT(")=""
+ Q
+ ;
+ASK D A W !!
+ S Y=1 D RTY^DGPTUTL
+ S DIC("S")="I $P(^(0),U,11)=1,'$D(^DGP(45.84,+Y))",DIC="^DGPT(",DIC(0)="NEAQ",DIC("A")="Enter PTF record to delete: "
+ D ^DIC G Q:Y'>0 S DA=+Y,DIC(0)="NE",X=DA D CEN G ASK:'$D(DA)
+A1 W !! D ^DIC S %=2 W !,"Ok to delete" D YN^DICN
+ I %=1 S DGPTIFN=DA D KDGPT W !,"****** DELETED ******" D HANG^DGPTUTL G Q
+AD I '% W !,"Anwer Yes or No",!,"On deletion pointers will be updated" G A1
+ ;
+ ;
+Q K DA,DFN,A,B,L,I,ANS,DIE,DR,DIK,DIC,DGRTY,DGRTY0,DGPTIFN Q
+ ;
+HEL ;
+ I '$D(DGRTY) S Y=1 D RTY^DGPTUTL
+ D A W !!
+ S DIC(0)="NEAQ",DIC="^DGP(45.84,",DIC("S")="I '$D(^DGP(45.83,""C"",+Y)),$D(^DGPT(+Y,0)),$P(^(0),U,11)="_DGRTY,DIC("A")="Enter "_$P(DGRTY0,U)_" record to re-open: "
+ D ^DIC G Q:Y'>0 S (X,DGPTIFN)=+Y,%=2
+A2 I '% W !!,DGPTIFN,"  ",$P(^DPT(+^DGPT(DGPTIFN,0),0),U) S DGSENFLG="",X=DGPTIFN,DIC(0)="NE",DIC="^DGP(45.84," D ^DIC K DIC,DGSENFLG
+ I DGRTY=2 D CHK G Q:'DGPTIFN
+ S %=2 W !,"Ok to reactivate" D YN^DICN
+ I '% W !,"Answer Yes or No" G A2
+ G Q:%'=1
+ D OPEN G Q
+ ;
+OLD I '$D(^DISV(DUZ,"PTFAD",DFN)) W "  ???",*7,*7 G AD
+ S X=^(DFN)
+ Q
+DREL ; -- open released rec
+ I '$D(DGRTY) S Y=1 D RTY^DGPTUTL
+ W ! S DIC("A")="Enter Released "_$P(DGRTY0,U)_" Record to Re-open: ",DIC("S")="I $D(^DGP(45.83,""C"",+Y)),$D(^DGPT(+Y,0)),$D(^(70)),+^(70)>2901000,$P(^(0),U,11)="_DGRTY,DIC="^DGP(45.84,",DIC(0)="MEQA"
+ D ^DIC K DIC G Q:+Y'>0 S DGPTIFN=+Y
+ I DGRTY=2 D CHK G Q:'DGPTIFN
+OK W !,"Ok to Re-open" S %=2 D YN^DICN
+ I '% W !!?14,"Enter <RET> to exit routine",!?10,"Enter 'Y' for YES to RE-OPEN Record",! G OK
+ G Q:%'=1
+ S DA(1)=$O(^DGP(45.83,"C",DGPTIFN,0)) I DA(1) S DIK="^DGP(45.83,"_DA(1)_",""P"",",DA=DGPTIFN D ^DIK K DIK,DA
+ D OPEN G Q
+ ;
+OPEN ;
+ D KDGP,KDGPT:DGRTY=2
+ W !,"****** RECORD RE-OPENED ******" D HANG^DGPTUTL
+ Q
+ ;
+KDGP ; -- kill close-out rec ; input DGPTIFN := ifn
+ S DA=DGPTIFN,DIK="^DGP(45.84," D ^DIK K DIK,DA
+ Q
+ ;
+KDGPT ; -- kill DGPT rec ; input DGPTIFN := ifn
+ S DA=DGPTIFN,DIK="^DGPT(",FLAG=1,I=0 F  S I=$O(^DGCPT(46,"C",DA,I)) Q:'I  I '$G(^DGCPT(I,9)) S FLAG=0 Q
+ I FLAG S I=0 F  S I=$O(^DGICD9(46.1,"C",DA,I)) Q:'I  I '$G(^DGICD9(I,9)) S FLAG=0 Q
+ I 'FLAG W !,"CANNOT DELETE THE PTF RECORD WHEN THERE ARE ACTIVE ORDERS OR CPT RECORDS." H 2 K FLAG Q
+ D ^DIK K DA,DIK,I,FLAG
+ I DGRTY=1 S DA=+$O(^DGPM("APTF",DGPTIFN,0)) I $D(^DGPM(DA,0)),$P(^(0),U,16)=DGPTIFN S DR=".16///@",DIE="^DGPM(" D ^DIE K DR,DIE
+ K DA Q
+ ;
+CHK ; -- check to see if PTF is open ; return DGPTIFN="" is not open
+ I $D(^DGPT(+$P(^DGPT(DGPTIFN,0),U,12),0)),$P(^(0),U,6) W !!,*7,?5,"Associated PTF record #",+$P(^DGPT(DGPTIFN,0),U,12)," must be RE-OPENED",!?5,"in order to re-open Census record #",DGPTIFN,"." S DGPTIFN=""
+ Q
+ ;
+CEN ; -- check if closed for census
+ K DGI
+ F DGI=0:0 S DGI=$O(^DGPT("ACENSUS",DA,DGI)) Q:'DGI  I $D(^DGPT(DGI,0)),$P(^(0),U,12)=DA,$D(^DG(45.86,+$P(^(0),U,13),0)) S Y=+^(0) X ^DD("DD") S DGI(DGI)=Y
+ G CENQ:$D(DGI)<10
+ W !!?2,*7,"This PTF record is associated with the following Census records:"
+ F DGI=0:0 S DGI=$O(DGI(DGI)) Q:'DGI  W !?10,"Census Record #",DGI,?35,"==>",?40,"Census Date: ",DGI(DGI)
+ W !!?2,"PTF record can not be deleted."
+ K DA
+CENQ K DGI Q
Index: WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTFM4.m
===================================================================
--- WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTFM4.m	(revision 613)
+++ WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTFM4.m	(revision 623)
@@ -1,77 +1,74 @@
-DGPTFM4	;ALB/MTC/ADL - PTF ENTRY/EDIT-2 ; 12/18/07 11:37am
-	;;5.3;Registration;**114,195,397,510,565,775**;Aug 13, 1993;Build 3
-	;;ADL;Update for CSV Project;;Mar 26, 2003
-	;
-	S DGZM0=DGZM0+1
-EN	N M3 D MOB:'$D(M) S M(DGZM0)=$S($D(M(DGZM0)):M(DGZM0),1:"") G NEXM:M(DGZM0)="" S (M3,M(DGZM0),M1)=$S($D(^DGPT(PTF,"M",+M(DGZM0),0)):^DGPT(PTF,"M",+M(DGZM0),0),1:"")
-	I $D(^DGPT(PTF,"M",+M(DGZM0),"P")) S $P(M(DGZM0),U,20)=^("P"),$P(M1,U,20)=^("P")
-WR	S DG300=$S($D(^DGPT(PTF,"M",+M(DGZM0),300)):^(300),1:"")
-	W @IOF,HEAD,?70 S Z="<501-"_DGZM0_">" D Z^DGPTFM I +M(DGZM0)=1 W !,?62,"Discharge Movement"
-M	S L=+$P(M1,U,10),Y=L D D^DGPTUTL W !! S Z=1 D Z W "Date of Move: " S Z=Y,Z1=20 D Z1 W "Losing Specialty: ",$E($S($D(^DIC(42.4,+$P(M1,U,2),0)):$P(^(0),U,1),1:""),1,25)
-	W !,"     Leave days: ",$P(M1,U,3),?44,"Pass days: ",$P(M1,U,4)
-	W !,"Treated for SC Condition: ",$S($P(M3,U,18)=1:"Yes",1:"No")
-	N NL S NL=0
-	I $P(M3,U,31)'="" W @($S(NL#2:"!",1:"?37")),"Potentially Related to Combat: ",$S($P(M3,U,31)="Y":"Yes",1:"No") S NL=NL+1
-	I $P(M3,U,26)'="" W @($S(NL#2:"!",1:"?37")),"Treated for AO Condition: ",$S($P(M3,U,26)="Y":"Yes",1:"No") S NL=NL+1
-	I $P(M3,U,27)'="" W @($S(NL#2:"!",1:"?37")),"Treated for IR Condition: ",$S($P(M3,U,27)="Y":"Yes",1:"No") S NL=NL+1
-	I $P(M3,U,28)'="" W @($S(NL#2:"!",1:"?37")),"Treated for EC Condition: ",$S($P(M3,U,28)="Y":"Yes",1:"No") S NL=NL+1
-	; added 6/17/98 for MST enhancement
-	I $P(M3,U,29)'="" W @($S(NL#2:"!",1:"?37")),"Treated for MST Condition: ",$S($P(M3,U,29)="Y":"Yes",1:"No") S NL=NL+1
-	K DGNTARR
-	S DGNTARR=$$GETCUR^DGNTAPI(DFN,"DGNTARR")
-	I $P(M3,U,30)="",(",3,4,5,"[(","_$P($G(DGNTARR("STAT")),U)_",")) S $P(M3,U,30)="N"
-	I $P(M3,U,30)'="" W @($S(NL#2:"!",1:"?37")),"Treated for HEAD/NECK CA Condition: ",$S($P(M3,U,30)="Y":"Yes",1:"No")
-	K NL
-	W !! S Z=2 D Z W "          DX: " F I=1:1:11 S L=$P(M1,U,I+4) I L'=""&(I'=6) S DGPTTMP=$$ICDDX^ICDCODE(+L,$$GETDATE^ICDGTDRG(PTF)) D 
-	. W $S(+DGPTTMP>0&($P(DGPTTMP,U,10)):$P(DGPTTMP,U,4)_" ("_$P(DGPTTMP,U,2)_")",1:"**********-"_L),!?17
-	D PRN2^DGPTFM8:DG300]""
-	I $P(M1,U,20) S DRG=$P(M1,U,20) W:DRG=998!(DRG=999)!((DRG=468!(DRG=469)!(DRG=470))&(+$P($G(M1),U,10)<3071001)) *7 W !!?14,"TRANSFER DRG: ",DRG D
-	. N DXD,DGDX
-	. S DXD=$$DRGD^ICDGTDRG(DRG,"DGDX",,$P(M1,U,10)),DGDS=0
-	. F  S DGDS=$O(DGDX(DGDS)) Q:'+DGDS  Q:DGDX(DGDS)=" "  W !,DGDX(DGDS)
-JUMP	K DG300 F I=$Y:1:21 W !
-X	S DGNUM=$S($D(M(DGZM0+1)):501_"-"_(DGZM0+1),1:"MAS") G 501^DGPTFJC:DGST
-	W "Enter <RET> to continue, 1-2 to edit,",!,"'M' ",$S(DGPTFE:" to add a patient movement",1:"to edit Treat. Specialty"),", '^N' for screen N, or '^' to abort:<",DGNUM,">// " R X:DTIME
-	K DGNUM G Q:X="^",NEXM:X="",^DGPTFJ:X?1"^".E,M^DGPTFM1:X="M"!(X="m")
-X1	I X[1!(X[2) S DR="[DG501"_$E("F",DGPTFE) X:(+M(DGZM0)=1) "S J=^DGPT(PTF,""M"",1,0) F I=11:1:15 I $P(J,U,I) S DR=DR_1" S DR=DR_"]",DGJUMP=X,DIE="^DGPT(",(DA,DGPTF)=PTF,DGMOV=+M(DGZM0) D ^DIE K M,DR,DIE D CHK501^DGPTSCAN K DGPTF,DGMOV
-	; Determine if NTR HISTORY (#28.11) filer is called if question for
-	;  'Treated for Head/Neck CA Condition:' is answered YES.
-	; Only a NTR screening status of 3=PENDING DIAGNOSIS gets Filed.
-	I $P($G(M3),U,30)="Y",$P($G(DGNTARR("STAT")),U)=3 D
-	.S DGNTARR=$$FILEHNC^DGNTAPI1(DFN)
-	K DGNTARR
-	;- update MT indicator after edit movement
-	N DGPMCA,DGPMAN D PM^DGPTUTL
-	I '$G(DGADM) S DGADM=+^DGPT(PTF,0)
-	D MT^DGPTUTL
-	G EN
-PR	W !,"Enter '^' to stop the display and edit of data",!,"'^N' to jump to screen #N (appears in upper right of screen '<N>'",!,"<RET> to continue on to the next screen or 1-2 to edit:"
-	W !?10,"1-",$S(DGPTFE:"Date of movement, Losing Specialty, ",1:""),"Leave and Pass days",!?10,"2-ICD DIAGNOSIS CODES"
-	W !,"You may also enter 1-2",!
-	R !!,"Enter <RET>: ",X:DTIME G WR
-	Q
-NEXM	S DGZM0=DGZM0+1 G ^DGPTFM:'$D(M(DGZM0)),EN
-ADD	S DGZM0=$S($D(DGZM0):DGZM0+1,1:0) S L=$S($D(^DGPT(PTF,"M",0)):^(0),1:"^45.02DA^^"),L1=$P(L,U,3) F I=1:1 Q:'$D(^DGPT(PTF,"M",L1+I))
-	S DA(1)=PTF,DIC="^DGPT("_DA(1)_",""M"",",X=L1+I,DIC(0)="LMZQE" D ^DIC K DIC,DIE G ^DGPTFM:Y'>0
-	S M(DGZM0)=L1+I S X="1-2" G X1
-	Q
-MOB	S I=0 K M,M1,M2 S M2=0 F I1=1:1 S I=$O(^DGPT(PTF,"M",I)) Q:'I  S M(I1)=^(I,0)
-	S PM=I1-1 D ORDER^DGPTF Q
-Q	G Q^DGPTF
-Z	I 'DGN S Z=$S(IOST="C-QUME"&($L(DGVI)'=2):Z,1:"["_Z_"]") W @DGVI,Z,@DGVO
-	E  W "   "
-	Q
-Z1	F I=1:1:(Z1-$L(Z)) S Z=Z_" "
-	W Z
-	Q
-R	;DELETE PROCEDURE RECORD
-	I '$D(^DGPT(PTF,"P")) G NOPROC
-	I $O(^DGPT(PTF,"P",0))']"" G NOPROC
-	S DGPNUM="" F DGPROC=0:0 S DGPROC=$O(P(DGPROC)) Q:'DGPROC  S:$D(P(DGPROC,1)) DGPNUM=DGPNUM_","_DGPROC
-	S DGPNUM=DGPNUM_","
-ASKPRO	W !!,"Delete procedure record <",$P(DGPNUM,",",2,99),"> : " R DGPROC:DTIME I DGPROC[U!(DGPROC="") K DGPNUM,DGPROC G ^DGPTFM
-	I DGPNUM'[(","_DGPROC_",") W !!,"Enter the record # to delete from the PTF file <",$P(DGPNUM,",",2,99),">",! G ASKPRO
-	K DA N DGJ
-	F DGJ=1:1 S DA=+$P(DGPROC,",",DGJ) Q:'DA  S DA=$S($D(P(DA,1)):+P(DA,1),1:0) I DA S DA(1)=PTF,DIK="^DGPT("_PTF_",""P""," D ^DIK K DA W "   ",$P(DGPROC,",",DGJ),"-DELETED***" H:'$P(DGPROC,",",DGJ+1) 2
-	K DIK,DA,DGPROC,DGPNUM G ^DGPTFM
-NOPROC	W !!,*7,"No procedures to delete",! H 3 G ^DGPTFM
+DGPTFM4 ;ALB/MTC/ADL - PTF ENTRY/EDIT-2 ; 11/19/03 11:37am
+ ;;5.3;Registration;**114,195,397,510,565**;Aug 13, 1993
+ ;;ADL;Update for CSV Project;;Mar 26, 2003
+ ;
+ S DGZM0=DGZM0+1
+EN N M3 D MOB:'$D(M) S M(DGZM0)=$S($D(M(DGZM0)):M(DGZM0),1:"") G NEXM:M(DGZM0)="" S (M3,M(DGZM0),M1)=$S($D(^DGPT(PTF,"M",+M(DGZM0),0)):^DGPT(PTF,"M",+M(DGZM0),0),1:"")
+ I $D(^DGPT(PTF,"M",+M(DGZM0),"P")) S $P(M(DGZM0),U,20)=^("P"),$P(M1,U,20)=^("P")
+WR S DG300=$S($D(^DGPT(PTF,"M",+M(DGZM0),300)):^(300),1:"")
+ W @IOF,HEAD,?70 S Z="<501-"_DGZM0_">" D Z^DGPTFM I +M(DGZM0)=1 W !,?62,"Discharge Movement"
+M S L=+$P(M1,U,10),Y=L D D^DGPTUTL W !! S Z=1 D Z W "Date of Move: " S Z=Y,Z1=20 D Z1 W "Losing Specialty: ",$E($S($D(^DIC(42.4,+$P(M1,U,2),0)):$P(^(0),U,1),1:""),1,25)
+ W !,"     Leave days: ",$P(M1,U,3),?44,"Pass days: ",$P(M1,U,4)
+ W !,"Treated for SC Condition: ",$S($P(M3,U,18)=1:"Yes",1:"No")
+ N NL S NL=0
+ I $P(M3,U,31)'="" W @($S(NL#2:"!",1:"?37")),"Potentially Related to Combat: ",$S($P(M3,U,31)="Y":"Yes",1:"No") S NL=NL+1
+ I $P(M3,U,26)'="" W @($S(NL#2:"!",1:"?37")),"Treated for AO Condition: ",$S($P(M3,U,26)="Y":"Yes",1:"No") S NL=NL+1
+ I $P(M3,U,27)'="" W @($S(NL#2:"!",1:"?37")),"Treated for IR Condition: ",$S($P(M3,U,27)="Y":"Yes",1:"No") S NL=NL+1
+ I $P(M3,U,28)'="" W @($S(NL#2:"!",1:"?37")),"Treated for EC Condition: ",$S($P(M3,U,28)="Y":"Yes",1:"No") S NL=NL+1
+ ; added 6/17/98 for MST enhancement
+ I $P(M3,U,29)'="" W @($S(NL#2:"!",1:"?37")),"Treated for MST Condition: ",$S($P(M3,U,29)="Y":"Yes",1:"No") S NL=NL+1
+ K DGNTARR
+ S DGNTARR=$$GETCUR^DGNTAPI(DFN,"DGNTARR")
+ I $P(M3,U,30)="",(",3,4,5,"[(","_$P($G(DGNTARR("STAT")),U)_",")) S $P(M3,U,30)="N"
+ I $P(M3,U,30)'="" W @($S(NL#2:"!",1:"?37")),"Treated for HEAD/NECK CA Condition: ",$S($P(M3,U,30)="Y":"Yes",1:"No")
+ K NL
+ W !! S Z=2 D Z W "          DX: " F I=1:1:11 S L=$P(M1,U,I+4) I L'=""&(I'=6) S DGPTTMP=$$ICDDX^ICDCODE(+L,$$GETDATE^ICDGTDRG(PTF)) D 
+ . W $S(+DGPTTMP>0&($P(DGPTTMP,U,10)):$P(DGPTTMP,U,4)_" ("_$P(DGPTTMP,U,2)_")",1:"**********-"_L),!?17
+ D PRN2^DGPTFM8:DG300]""
+ I $P(M1,U,20) S DRG=$P(M1,U,20) W:DRG=468!(DRG=469)!(DRG=470) *7 W !!?14,"TRANSFER DRG: ",DRG F DGDRGNM=0:0 S DGDRGNM=$O(^ICD(DRG,1,DGDRGNM)) Q:'DGDRGNM  W !,$P(^(DGDRGNM,0),U,1)
+JUMP K DG300 F I=$Y:1:21 W !
+X S DGNUM=$S($D(M(DGZM0+1)):501_"-"_(DGZM0+1),1:"MAS") G 501^DGPTFJC:DGST
+ W "Enter <RET> to continue, 1-2 to edit,",!,"'M' ",$S(DGPTFE:" to add a patient movement",1:"to edit Treat. Specialty"),", '^N' for screen N, or '^' to abort:<",DGNUM,">// " R X:DTIME
+ K DGNUM G Q:X="^",NEXM:X="",^DGPTFJ:X?1"^".E,M^DGPTFM1:X="M"!(X="m")
+X1 I X[1!(X[2) S DR="[DG501"_$E("F",DGPTFE) X:(+M(DGZM0)=1) "S J=^DGPT(PTF,""M"",1,0) F I=11:1:15 I $P(J,U,I) S DR=DR_1" S DR=DR_"]",DGJUMP=X,DIE="^DGPT(",(DA,DGPTF)=PTF,DGMOV=+M(DGZM0) D ^DIE K M,DR,DIE D CHK501^DGPTSCAN K DGPTF,DGMOV
+ ; Determine if NTR HISTORY (#28.11) filer is called if question for
+ ;  'Treated for Head/Neck CA Condition:' is answered YES.
+ ; Only a NTR screening status of 3=PENDING DIAGNOSIS gets Filed.
+ I $P($G(M3),U,30)="Y",$P($G(DGNTARR("STAT")),U)=3 D
+ .S DGNTARR=$$FILEHNC^DGNTAPI1(DFN)
+ K DGNTARR
+ ;- update MT indicator after edit movement
+ N DGPMCA,DGPMAN D PM^DGPTUTL
+ I '$G(DGADM) S DGADM=+^DGPT(PTF,0)
+ D MT^DGPTUTL
+ G EN
+PR W !,"Enter '^' to stop the display and edit of data",!,"'^N' to jump to screen #N (appears in upper right of screen '<N>'",!,"<RET> to continue on to the next screen or 1-2 to edit:"
+ W !?10,"1-",$S(DGPTFE:"Date of movement, Losing Specialty, ",1:""),"Leave and Pass days",!?10,"2-ICD DIAGNOSIS CODES"
+ W !,"You may also enter 1-2",!
+ R !!,"Enter <RET>: ",X:DTIME G WR
+ Q
+NEXM S DGZM0=DGZM0+1 G ^DGPTFM:'$D(M(DGZM0)),EN
+ADD S DGZM0=$S($D(DGZM0):DGZM0+1,1:0) S L=$S($D(^DGPT(PTF,"M",0)):^(0),1:"^45.02DA^^"),L1=$P(L,U,3) F I=1:1 Q:'$D(^DGPT(PTF,"M",L1+I))
+ S DA(1)=PTF,DIC="^DGPT("_DA(1)_",""M"",",X=L1+I,DIC(0)="LMZQE" D ^DIC K DIC,DIE G ^DGPTFM:Y'>0
+ S M(DGZM0)=L1+I S X="1-2" G X1
+ Q
+MOB S I=0 K M,M1,M2 S M2=0 F I1=1:1 S I=$O(^DGPT(PTF,"M",I)) Q:'I  S M(I1)=^(I,0)
+ S PM=I1-1 D ORDER^DGPTF Q
+Q G Q^DGPTF
+Z I 'DGN S Z=$S(IOST="C-QUME"&($L(DGVI)'=2):Z,1:"["_Z_"]") W @DGVI,Z,@DGVO
+ E  W "   "
+ Q
+Z1 F I=1:1:(Z1-$L(Z)) S Z=Z_" "
+ W Z
+ Q
+R ;DELETE PROCEDURE RECORD
+ I '$D(^DGPT(PTF,"P")) G NOPROC
+ I $O(^DGPT(PTF,"P",0))']"" G NOPROC
+ S DGPNUM="" F DGPROC=0:0 S DGPROC=$O(P(DGPROC)) Q:'DGPROC  S:$D(P(DGPROC,1)) DGPNUM=DGPNUM_","_DGPROC
+ S DGPNUM=DGPNUM_","
+ASKPRO W !!,"Delete procedure record <",$P(DGPNUM,",",2,99),"> : " R DGPROC:DTIME I DGPROC[U!(DGPROC="") K DGPNUM,DGPROC G ^DGPTFM
+ I DGPNUM'[(","_DGPROC_",") W !!,"Enter the record # to delete from the PTF file <",$P(DGPNUM,",",2,99),">",! G ASKPRO
+ K DA N DGJ
+ F DGJ=1:1 S DA=+$P(DGPROC,",",DGJ) Q:'DA  S DA=$S($D(P(DA,1)):+P(DA,1),1:0) I DA S DA(1)=PTF,DIK="^DGPT("_PTF_",""P""," D ^DIK K DA W "   ",$P(DGPROC,",",DGJ),"-DELETED***" H:'$P(DGPROC,",",DGJ+1) 2
+ K DIK,DA,DGPROC,DGPNUM G ^DGPTFM
+NOPROC W !!,*7,"No procedures to delete",! H 3 G ^DGPTFM
Index: WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTICD.m
===================================================================
--- WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTICD.m	(revision 613)
+++ WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTICD.m	(revision 623)
@@ -1,62 +1,61 @@
-DGPTICD	;ALB/MTC - PTF DRG Grouper Utility ; 2/19/02 3:08pm
-	;;5.3;Registration;**375,441,510,559,599,606,775**;Aug 13, 1993;Build 3
-	;variables to pass in:
-	;  DGDX <- format: DX CODE1^DX CODE2^DX CODE3^...                      (REQUIRED)
-	;  DGSURG <- format: SURGERY CODE1^SURGERY CODE2^SURGERY CODE3^...       (OPTIONAL)
-	;  DGPROC <- format: PROCEDURE CODE1^PROCEDURE CODE2^PROCEDURE CODE3^... (OPTIONAL)
-	;  DGTRS  <- 1 if patient transferred to acute care facility             (REQUIRED)
-	;  DGEXP  <- 1 if patient died during this episode                       (REQUIRED)
-	;  DGDMS  <- 1 if patient was discharged with an Irregular discharge (discharged against medical advice) (REQUIRED)
-	;  AGE,SEX     (REQUIRED)
-	;values of variables listed above are left unchanged by this routine
-	;variable passed back: DRG(0) <- zero node of DRG in DRG file
-	;                    : DRG <- IFN of DRG in DRG file
-	;  DGDAT  <- Effective date to be used in calculating DRG
-	;
-	;-- check for required variables
-	Q:'$D(DGDX)!'$D(DGTRS)!'$D(DGEXP)!'$D(DGDMS)
-	N DGI
-	;-- build ICDDX array
-	K ICDDX
-	S DGI=0 F  S DGI=DGI+1 Q:$P(DGDX,U,DGI)=""  D
-	. S DGPTTMP=$$ICDDX^ICDCODE(+$P(DGDX,U,DGI),+$G(DGDAT))
-	. I +DGPTTMP>0,($P(DGPTTMP,U,10)) S ICDDX(DGI)=$P(DGDX,U,DGI)
-	G Q:'$D(ICDDX)
-	;
-	;-- build ICDPRC array
-	;K ICDPRC
-	;I $D(DGPROC) S DGSURG=$S('$D(DGSURG):DGPROC,1:DGSURG_DGPROC)
-	;I $D(DGSURG) S DGI=0 F  S DGI=DGI+1 Q:$P(DGSURG,U,DGI)=""  D
-	;. I $D(^ICD0($P(DGSURG,U,DGI),0)) S ICDPRC(DGI)=$P(DGSURG,U,DGI)
-	;-- build ICDPRC array eliminating dupes as we go
-	K ICDPRC
-	N I,J,X,Y,FLG,SUB S SUB=0
-	I $D(DGPROC) F I=2:1 S X=$P(DGPROC,U,I) Q:X=""  D
-	. S DGPTTMP=$$ICDOP^ICDCODE(X,+$G(DGDAT))
-	. I +DGPTTMP>0,($P(DGPTTMP,U,10)) S SUB=SUB+1,ICDPRC(SUB)=X
-	I $D(DGSURG) F I=2:1 S X=$P(DGSURG,U,I) Q:X=""  D
-	. S FLG=0,J=0 F  S J=$O(ICDPRC(J)) Q:'J  I X=$G(ICDPRC(J)) S FLG=1 Q
-	. I FLG Q
-	. S DGPTTMP=$$ICDOP^ICDCODE(X,+$G(DGDAT))
-	. I +DGPTTMP>0,($P(DGPTTMP,U,10)) S SUB=SUB+1,ICDPRC(SUB)=X
-	;
-	;-- set other required variables
-	S ICDTRS=DGTRS,ICDEXP=DGEXP,ICDDMS=DGDMS
-	S ICDDATE=$S($D(DGDAT):DGDAT,1:DT),DGDAT=ICDDATE  ;Ensure that DGDAT is defined prior to executing PRT
-	;
-	;-- calculate DRG
-	D ^ICDDRG S DRG=ICDDRG I '$D(DGDRGPRT) G Q
-	;
-PRT	;print DRG and national HCFA values
-	I (ICDDATE<3071001)&(DRG=468!(DRG=469)!(DRG=470)) W *7
-	I DRG=998!(DRG=999) W *7
-	S Y=ICDDATE D DD^%DT ; Y=external representation of effective date
-	W !!?9,"Effective Date:","  ",Y
-	S DRG(0)=$$DRG^ICDGTDRG(DRG,DGDAT) W !!,"Diagnosis Related Group: ",$J(DRG,6),?36,"Average Length of Stay(ALOS): ",$J($P(DRG(0),"^",8),6)
-	W !?17,"Weight: ",$J($P(DRG(0),"^",2),6)  ;,?40,"Local Breakeven: ",$J($P(DRG(0),"^",12),6)
-	W !?12," Low Day(s): ",$J($P(DRG(0),"^",3),6)  ;,?39,"Local Low Day(s): ",$J($P(DRG(0),"^",9),6)
-	W !?13," High Days: ",$J($P(DRG(0),"^",4),6)  ;,?40,"Local High Days: ",$J($P(DRG(0),"^",10),6)
-	N DXD,DGDX
-	S DXD=$$DRGD^ICDGTDRG(DRG,"DGDX",,DGDAT),DGI=0
-	W !!,"DRG: ",DRG,"-" F  S DGI=$O(DGDX(DGI)) Q:'+DGI  Q:DGDX(DGI)=" "  W ?10,DGDX(DGI),!
-Q	K ICDDMS,ICDDRG,ICDDX,ICDEXP,ICDMDC,ICDPRC,ICDRTC,ICDTRS,ICDDATE Q
+DGPTICD ;ALB/MTC - PTF DRG Grouper Utility ; 2/19/02 3:08pm
+ ;;5.3;Registration;**375,441,510,559,599,606**;Aug 13, 1993
+ ;variables to pass in:
+ ;  DGDX <- format: DX CODE1^DX CODE2^DX CODE3^...                      (REQUIRED)
+ ;  DGSURG <- format: SURGERY CODE1^SURGERY CODE2^SURGERY CODE3^...       (OPTIONAL)
+ ;  DGPROC <- format: PROCEDURE CODE1^PROCEDURE CODE2^PROCEDURE CODE3^... (OPTIONAL)
+ ;  DGTRS  <- 1 if patient transferred to acute care facility             (REQUIRED)
+ ;  DGEXP  <- 1 if patient died during this episode                       (REQUIRED)
+ ;  DGDMS  <- 1 if patient was discharged with an Irregular discharge (discharged against medical advice) (REQUIRED)
+ ;  AGE,SEX     (REQUIRED)
+ ;values of variables listed above are left unchanged by this routine
+ ;variable passed back: DRG(0) <- zero node of DRG in DRG file
+ ;                    : DRG <- IFN of DRG in DRG file
+ ;  DGDAT  <- Effective date to be used in calculating DRG
+ ;
+ ;-- check for required variables
+ Q:'$D(DGDX)!'$D(DGTRS)!'$D(DGEXP)!'$D(DGDMS)
+ N DGI
+ ;-- build ICDDX array
+ K ICDDX
+ S DGI=0 F  S DGI=DGI+1 Q:$P(DGDX,U,DGI)=""  D
+ . S DGPTTMP=$$ICDDX^ICDCODE(+$P(DGDX,U,DGI),+$G(DGDAT))
+ . I +DGPTTMP>0,($P(DGPTTMP,U,10)) S ICDDX(DGI)=$P(DGDX,U,DGI)
+ G Q:'$D(ICDDX)
+ ;
+ ;-- build ICDPRC array
+ ;K ICDPRC
+ ;I $D(DGPROC) S DGSURG=$S('$D(DGSURG):DGPROC,1:DGSURG_DGPROC)
+ ;I $D(DGSURG) S DGI=0 F  S DGI=DGI+1 Q:$P(DGSURG,U,DGI)=""  D
+ ;. I $D(^ICD0($P(DGSURG,U,DGI),0)) S ICDPRC(DGI)=$P(DGSURG,U,DGI)
+ ;-- build ICDPRC array eliminating dupes as we go
+ K ICDPRC
+ N I,J,X,Y,FLG,SUB S SUB=0
+ I $D(DGPROC) F I=2:1 S X=$P(DGPROC,U,I) Q:X=""  D
+ . S DGPTTMP=$$ICDOP^ICDCODE(X,+$G(DGDAT))
+ . I +DGPTTMP>0,($P(DGPTTMP,U,10)) S SUB=SUB+1,ICDPRC(SUB)=X
+ I $D(DGSURG) F I=2:1 S X=$P(DGSURG,U,I) Q:X=""  D
+ . S FLG=0,J=0 F  S J=$O(ICDPRC(J)) Q:'J  I X=$G(ICDPRC(J)) S FLG=1 Q
+ . I FLG Q
+ . S DGPTTMP=$$ICDOP^ICDCODE(X,+$G(DGDAT))
+ . I +DGPTTMP>0,($P(DGPTTMP,U,10)) S SUB=SUB+1,ICDPRC(SUB)=X
+ ;
+ ;-- set other required variables
+ S ICDTRS=DGTRS,ICDEXP=DGEXP,ICDDMS=DGDMS
+ S ICDDATE=$S($D(DGDAT):DGDAT,1:DT),DGDAT=ICDDATE  ;Ensure that DGDAT is defined prior to executing PRT
+ ;
+ ;-- calculate DRG
+ D ^ICDDRG S DRG=ICDDRG I '$D(DGDRGPRT) G Q
+ ;
+PRT ;print DRG and national HCFA values
+ I DRG=468!(DRG=469)!(DRG=470) W *7
+ S Y=ICDDATE D DD^%DT ; Y=external representation of effective date
+ W !!?9,"Effective Date:","  ",Y
+ S DRG(0)=$$DRG^ICDGTDRG(DRG,DGDAT) W !!,"Diagnosis Related Group: ",$J(DRG,6),?36,"Average Length of Stay(ALOS): ",$J($P(DRG(0),"^",8),6)
+ W !?17,"Weight: ",$J($P(DRG(0),"^",2),6)  ;,?40,"Local Breakeven: ",$J($P(DRG(0),"^",12),6)
+ W !?12," Low Day(s): ",$J($P(DRG(0),"^",3),6)  ;,?39,"Local Low Day(s): ",$J($P(DRG(0),"^",9),6)
+ W !?13," High Days: ",$J($P(DRG(0),"^",4),6)  ;,?40,"Local High Days: ",$J($P(DRG(0),"^",10),6)
+ N DXD,DGDX
+ S DXD=$$DRGD^ICDGTDRG(DRG,"DGDX",,DGDAT),DGI=0
+ W !!,"DRG: ",DRG,"-" F  S DGI=$O(DGDX(DGI)) Q:'+DGI  Q:DGDX(DGI)=" "  W ?10,DGDX(DGI),!
+Q K ICDDMS,ICDDRG,ICDDX,ICDEXP,ICDMDC,ICDPRC,ICDRTC,ICDTRS,ICDDATE Q
